curl -X PATCH "https://api.scanova.io/qr-assets/template/12/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "name": "Winter Poster" }'
{
"id": 12,
"name": "Winter Poster",
"template_id": "a1b2c3d4e5f6",
"template_type": "P",
"template_type_display": "Poster",
"pattern_info": "{\"dotStyle\":\"round\"}",
"image": "https://cdn.scanova.io/upload/images/42/template-foo.png"
}
QR-Assets
QR-Code-Designvorlage aktualisieren
PATCH /qr-assets/template//
PATCH
/
qr-assets
/
template
/
{pk}
/
curl -X PATCH "https://api.scanova.io/qr-assets/template/12/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "name": "Winter Poster" }'
{
"id": 12,
"name": "Winter Poster",
"template_id": "a1b2c3d4e5f6",
"template_type": "P",
"template_type_display": "Poster",
"pattern_info": "{\"dotStyle\":\"round\"}",
"image": "https://cdn.scanova.io/upload/images/42/template-foo.png"
}
Aktualisiert eine QR-Designvorlage, die diesem Konto gehört, auf dem Management-API-Host (
Sowohl
api.scanova.io), authentifiziert mit Ihrem rohen Management-API-Schlüssel.
PUT https://api.scanova.io/qr-assets/template/{pk}/
PATCH https://api.scanova.io/qr-assets/template/{pk}/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
integer
erforderlich
Die
id der Vorlage.PUT (vollständiger Ersatz) als auch PATCH (partielles Update) werden unterstützt und akzeptieren dieselben Felder name/pattern_info/image, die unter QR-Code-Designvorlage erstellen dokumentiert sind.
curl -X PATCH "https://api.scanova.io/qr-assets/template/12/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "name": "Winter Poster" }'
{
"id": 12,
"name": "Winter Poster",
"template_id": "a1b2c3d4e5f6",
"template_type": "P",
"template_type_display": "Poster",
"pattern_info": "{\"dotStyle\":\"round\"}",
"image": "https://cdn.scanova.io/upload/images/42/template-foo.png"
}
template_type kann hier nicht geändert werden
template_type ist nur bei der Erstellung setzbar — wird er in einem PUT/PATCH-Body gesendet, wird er stillschweigend verworfen statt einen Fehler auszulösen, sodass die Vorlage ihren ursprünglichen Poster-/Normal-Typ ihr ganzes Leben lang behält. 404, wenn pk keine Vorlage ist, die diesem Konto gehört.
Verwandte Themen
- QR-Code-Designvorlage abrufen — vor der Aktualisierung ansehen.
- QR-Code-Designvorlage erstellen — die Feldreferenz, die dieses Update wiederverwendet.
- QR-Code-Designvorlage löschen — vollständig entfernen.
- Übersicht über die Management API — das Authentifizierungsschema und die Quota-Regeln für diesen Endpunkt.
Autorisierungen
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
Pfadparameter
Antwort
Template updated.
War diese Seite hilfreich?